TESTING/LIN/sqrt12.f(3)

NAME
TESTING/LIN/sqrt12.f

SYNOPSIS

  Functions/Subroutines
real function sqrt12 (m, n, a, lda, s, work, lwork)
SQRT12

Function/Subroutine Documentation

  real function sqrt12 (integer m, integer n, real, dimension( lda, * ) a, integer lda, real, dimension( * ) s, real, dimension( lwork ) work, integer lwork)

SQRT12

Purpose:

     SQRT12 computes the singular values `svlues' of the upper trapezoid
     of A(1:M,1:N) and returns the ratio
          || svlues - s ||/(||s||*eps*max(M,N))

Parameters
    M

              M is INTEGER
              The number of rows of the matrix A.

    N

              N is INTEGER
              The number of columns of the matrix A.

    A

              A is REAL array, dimension (LDA,N)
              The M-by-N matrix A. Only the upper trapezoid is referenced.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.

    S

              S is REAL array, dimension (min(M,N))
              The singular values of the matrix A.

    WORK

              WORK is REAL array, dimension (LWORK)

    LWORK

              LWORK is INTEGER
              The length of the array WORK. LWORK >= max(M*N + 4*min(M,N) +
              max(M,N), M*N+2*MIN( M, N )+4*N).

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 88 of file sqrt12.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.